EndpointsReporters

List runs for a reporter

GET/v2/reporters/{reporter_id}/runs

Lists visible runs for a reporter, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token issued by Softmax

In: header

Path Parameters

reporter_id*Reporter Id

Reporter whose runs will be listed.

Match^rptr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Query Parameters

status?|

Return only runs with this status.

limit?Limit

Maximum runs returned.

Range1 <= value <= 100
Default100
cursor?|

Continuation token from the previous response's X-Next-Cursor header.

curl -X GET "https://example.com/v2/reporters/string/runs"
[  {    "id": "string",    "status": "pending",    "reporter_version_id": "string",    "subject": {},    "status_url": "string",    "output_url": "string",    "trace_url": "string",    "usage": {},    "output_parts": [      {        "id": "string",        "reporter_id": "string",        "reporter_run_id": "string",        "name": "string",        "type": "string",        "size_bytes": 0,        "content_hash": "string",        "media_type": "string",        "created_at": "2019-08-24T14:15:22Z",        "url": "string"      }    ],    "created_at": "2019-08-24T14:15:22Z",    "running_at": "2019-08-24T14:15:22Z",    "completed_at": "2019-08-24T14:15:22Z",    "error": "string"  }]